Bug 52399 - <up>/<down> should select package in "Individual Package Selection"
Summary: <up>/<down> should select package in "Individual Package Selection"
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-23 15:34 UTC by Enrico Scholz
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-15 20:22:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-08-23 15:34:17 UTC
In the package list of the "Individual Package Selection" screen you can
navigate with <up> and <down> through the package-list. 

But to see the description of a package there must be pressed:

1. <up>/<down> to go to the package
2. <space> selects it and shows the description
3. <space> to restore the mark set/unset at 2.

I think steps 2 and 3 are unnecessary and it should be possible to see the
description at step 1 already.

Perhaps related with bug #52394

Comment 1 Brent Fox 2001-08-23 19:42:00 UTC
Can't fix now. Deferring.  Basically, using the GUI installer without a mouse is
hard.  I don't know why you would want to.  Text mode is perfectly functional
and is much easier to navigate without a mouse.

Comment 2 Enrico Scholz 2001-08-28 20:14:09 UTC
> Basically, using the GUI installer without a mouse is hard

yes, some distribution-tests are complaining about this problem also. ;)


> I don't know why you would want to.

keyboard-navigation is faster in text-based applications.


Comment 3 Brent Fox 2001-10-27 16:12:02 UTC
We are moving to GTK2 for the next version of anaconda, so we should be able to
change this behavior for the next release.  The GtkCList widget has been
deprecated by GtkListStore and GtkTreeView.  However, that porting isn't
complete yet.

Comment 4 Michael Fulbright 2002-01-23 20:02:15 UTC
This issue is addressed in CVS. Please confirm with beta 1 for Hampton.

Comment 5 Michael Fulbright 2002-06-12 20:46:38 UTC
Keyboard navigation is much better now.


Note You need to log in before you can comment on or make changes to this bug.